Skip to content
Cipay
Esc
navigateopen⌘Jpreview

List Cipay Webhook Events

GET/v2/webhook-events/catalog
Authorization
AuthorizationBearer token · headerrequired
Merchant API key scoped to one merchant and environment. Read operations require api:read, normal write operations require api:write, and broadcast mutations also require explicit broadcasts:write.
Header parameters
x-request-idstring
Optional caller-provided request correlation ID.
min length 1
Responses
200OK
catalogobjectrequired
Show properties
schemaVersionanyrequired
organizationstring[]required
commercestring[]required
401Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
403Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
404Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
409Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
422Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
429Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
500Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
Request
curl -X GET "https://api.cipay.net/v2/webhook-events/catalog" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "catalog": {
    "schemaVersion": 1,
    "organization": [
      "member.invited"
    ],
    "commerce": [
      "customer.created"
    ]
  }
}